メインコンテンツへスキップ
PUT
/
automation
/
actions
/
2026-03
/
{appId}
/
{definitionId}
/
functions
/
{functionType}
定義の関数を挿入
curl --request PUT \
  --url https://api.hubapi.com/automation/actions/2026-03/{appId}/{definitionId}/functions/{functionType} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: text/plain' \
  --data '<string>'
import requests

url = "https://api.hubapi.com/automation/actions/2026-03/{appId}/{definitionId}/functions/{functionType}"

payload = "<string>"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "text/plain"
}

response = requests.put(url, data=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'text/plain'},
body: '<string>'
};

fetch('https://api.hubapi.com/automation/actions/2026-03/{appId}/{definitionId}/functions/{functionType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>"
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

appId
integer<int32>
必須

関数が追加されるアプリのID。

definitionId
string
必須

関数が追加される定義のID。

functionType
enum<string>
必須

追加する関数のタイプ。許容される値は、POST_ACTION_EXECUTION、POST_FETCH_OPTIONS、PRE_ACTION_EXECUTION、PRE_FETCH_OPTIONSです。

利用可能なオプション:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS

ボディ

text/plain

The body is of type string.

レスポンス

successful operation

functionType
enum<string>
必須

関数のタイプ。許容される値は、POST_ACTION_EXECUTION、POST_FETCH_OPTIONS、PRE_ACTION_EXECUTION、PRE_FETCH_OPTIONSです。

利用可能なオプション:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS
id
string

関数の固有ID。

最終更新日 2026年4月10日